//
// Copyright 2009-2012, EachScape Inc. All Rights Reserved.
//

// Utilities.

var hideIf = function(selector, func) {
  var obj = document.getElementById(selector);
  
  if (func(obj)) {
    obj.style.display = 'none';
  }
};

var showIf = function(selector, func) {
  var obj = document.getElementById(selector);
  
  if (func(obj)) {
    obj.style.display = 'block';
  }
};

var setAttrIfEqual = function(selector, attrName, testValue, replacement) {
  var obj = document.getElementById(selector);
  var attr = obj.attributes.getNamedItem(attrName);
  
  if (attr.value == testValue) {
    attr.value = replacement;
  }
};


